% Example-25: AOPN model of a Flexible Manufacturing System
% Reggie.davidrajuh@uis.no  (c) 20 Nov 2017


function [fire, transition] = COMMON_PRE(transition)

switch transition.name
    case 'tC1'
        granted = requestSR({'C1',1}); % conveyor belt "C1" required
    case 'tC2'
        granted = requestSR({'C2',1}); % conveyor belt "C2" required
    case {'tC1M1', 'tM1AS'}          % robot "R1" required
        granted = requestSR({'R1',1}); 
    case {'tC2M2', 'tM2AS', 'tAS'}   % robot "R2" required
        granted = requestSR({'R2',1}); 
    case 'tM1'    % machine "M1" required
        granted = requestSR({'M1',1}); 
    case 'tM2'    % machine "M2" required
        granted = requestSR({'M2',1}); 
    case 'tAP'    % robot "R3" required
        granted = requestSR({'R3',1}); 
    case 'tPS'    % painting robot "R4" required
        granted = requestSR({'R4',1}); 
    otherwise
        error('Cant come here');
end % switch 
fire = granted; % fire if the required resource is granted 
if not(granted)
    disp([transition.name, ' tried but not suceeded']);
end